
class Role < ActiveRecord::Base
  has_and_belongs_to_many :users, :join_table => :users_roles

  belongs_to :resource,
             :polymorphic => true,
             :optional => true




  validates_presence_of :name
  
  
  def self.all_roles
    ["builder", "team_member"]
  end
  
end